## roarplaylistd 0.1~rc4

=== Makefile ===
TARGETS=rpld

FF_OBJS=fformat.o ff_vclt.o ff_plain.o ff_m3u.o ff_rpld.o ff_pls.o ff_xspf.o
PROTO_OBJS=proto_simple.o proto_simple_vio.o proto_mpd.o
OBJS=rpld.o playlist.o client.o network.o playback.o store.o autoqueue.o yield.o rpldslp.o ${FF_OBJS} ${PROTO_OBJS}

MANPAGES_1 = rpld.1

BIN        = $(TARGETS)

TOOLS_LIST = rpld-addplaylist rpld-delplaylist rpld-import rpld-next rpld-prev rpld-play rpld-queueple rpld-setpointer rpld-stop rpld-store rpld-listq rpld-ctl rpld-listplaylists rpld-showplaying
TOOLS_DIR  = tools
TOOLS_MAN1_BASENAME = rpld-tools
TOOLS_MAN1 = $(TOOLS_DIR)/$(TOOLS_MAN1_BASENAME).1
TOOLS      = $(TOOLS_DIR)/rpld-addplaylist $(TOOLS_DIR)/rpld-delplaylist $(TOOLS_DIR)/rpld-import $(TOOLS_DIR)/rpld-next $(TOOLS_DIR)/rpld-prev $(TOOLS_DIR)/rpld-play $(TOOLS_DIR)/rpld-queueple $(TOOLS_DIR)/rpld-setpointer $(TOOLS_DIR)/rpld-stop $(TOOLS_DIR)/rpld-store $(TOOLS_DIR)/rpld-listq $(TOOLS_DIR)/rpld-ctl $(TOOLS_DIR)/rpld-listplaylists $(TOOLS_DIR)/rpld-showplaying

include Makefile.conf

#DEFINES  = -DDEBUG
DEFINES += $(def_uuid) $(def_slp) $(def_xml2)
DEFINES += -DROOT_UID=$(ROOT_UID) -DROAR_DBG_PREFIX=\"roarplaylistd\"
CFLAGS  += -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -g -O2 $(INCPATH) $(DEFINES)
LDFLAGS += -g $(LDPATH)

NETLIBS += $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(lib_roar) $(lib_uuid) $(lib_slp) $(lib_xml2) $(NETLIBS)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
new: clean all

distclean: clean
	rm -f config.log Makefile.conf

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'/man1/

install: all prep-install-dirs install-rpld install-tools

install-rpld:
	cp $(cp_v) $(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGES_1) '$(DESTDIR)$(PREFIX_MAN)'/man1/

install-tools:
	cp $(cp_v) $(TOOLS)      '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(TOOLS_MAN1) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	set -e; for i in $(TOOLS_LIST); do ln -fs $(TOOLS_MAN1_BASENAME).1 '$(DESTDIR)$(PREFIX_MAN)'/man1/$$i.1; done

semi-install: all prep-install-dirs semi-install-rpld semi-install-tools

semi-install-rpld:
	ln -fs `pwd`/$(BIN)    '$(DESTDIR)$(PREFIX_BIN)'
	set -e; for i in $(MANPAGES_1); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_MAN)'/man1/$$i; done

semi-install-tools:
	set -e; for i in $(TOOLS); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_BIN)'; done
	ln -fs `pwd`/$(TOOLS_MAN1) '$(DESTDIR)$(PREFIX_MAN)'/man1/$(TOOLS_MAN1_BASENAME).1
	set -e; for i in $(TOOLS_LIST); do ln -fs `pwd`/$(TOOLS_MAN1) '$(DESTDIR)$(PREFIX_MAN)'/man1/$$i.1; done

uninstall:
	rm -f '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)

rpld: ${OBJS}
	${CC} ${LDFLAGS} -o rpld ${OBJS} -lroar ${LIBS}

=== debian/changelog ===
roarplaylistd (0.1~rc4-2build1) natty; urgency=low

  * No change rebuild against current roaraudio to match SONAME.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Wed, 09 Feb 2011 19:32:13 +0530

roarplaylistd (0.1~rc4-2) unstable; urgency=low

  * Resolved file conflict between packages roarplaylistd and
    roarplaylistd-tools
    Closes: #609147

 -- Philipp Schafft <lion@lion.leolix.org>  Fri,  7 Jan 2011 11:57:34 +0100

roarplaylistd (0.1~rc4-1) unstable; urgency=low

  [ Patrick Matthäi ]
  * New upstream release.
    Closes: #608139
    - Linking with --no-add-needed should be fixed now
      Closes: #606019
  * Add new packages roarplaylistd-codechelper-gst and roarplaylistd-tools.

  [ Philipp Schafft ]
  * Enable XSPF playlist support (using libxml2)

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 02 Jan 2011 22:16:09 +0100

roarplaylistd (0.1~rc3-1) unstable; urgency=low

  * New upstream release.
  * Update init script to let the daemon set ownership of sockets and
    prevent start if already running.
  * Upgrade Recommends to Depends (Closes: #603042)

 -- Philipp Schafft <lion@lion.leolix.org>  Sat, 13 Nov 2010 15:27:40 +0100

roarplaylistd (0.1~rc2-1) unstable; urgency=high

  [ Patrick Matthäi ]
  * Refer the GPL-3 license in debian/copyright, not GPL-3+.
  * Mangle ~ in debian/watch of the Debian version.

  [ Philipp Schafft ]
  * New upstream release.
  * Corrected watch file so regex matches upstream filename.
  * No longer use init script provided by upstream (Closes: #602616)
  * Do not run daemon as root. Fixes root exploit.
    (See upstream bug https://bts.keep-cool.org/ticket/63)

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 09 Nov 2010 20:34:03 +0100

roarplaylistd (0.1~rc1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 04 Oct 2010 17:24:20 +0200

roarplaylistd (0.1~rc0-1) unstable; urgency=low

  * Initial release.
    Closes: #572416

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 28 Sep 2010 20:49:40 +0200

=== debian/control ===
Source: roarplaylistd
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7), libroar-dev, uuid-dev, libxml2-dev
Standards-Version: 3.9.1
Section: sound
Homepage: http://roaraudio.keep-cool.org/

Package: roarplaylistd
Architecture: any
Suggests: roarplaylistd-client, vclt-tools, roarplaylistd-codechelper-gst
Depends: roaraudio | roaraudio-server, ${shlibs:Depends}, ${misc:Depends}
Recommends: roarplaylistd-tools
Description: RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.

Package: roarplaylistd-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends},
 roarplaylistd (= ${binary:Version})
Description: RoarAudio PlayList Daemon (RPLD) (debugging symbols)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This package provides debugging symbols for the roarplaylistd package.

Package: roarplaylistd-tools
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, libaudio-rpld-perl
Suggests: roarplaylistd
Description: Tools to control RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This is a collection of tools to control RoarAudio PlayList Daemon (RPLD).

Package: roarplaylistd-codechelper-gst
Architecture: all
Depends: ${misc:Depends}, gstreamer-tools
Recommends: gstreamer0.10-plugins-ugly
Suggests: roarplaylistd
Description: roarplaylistd helper script for GStreamer codecs
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controled using a simple protocol.
 It can listen on UNIX, TCP and DECnet sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This helper script is used for roarplaylistd to play additional codecs
 (GStreamer version).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config.status:
	dh_testdir
	./configure --prefix /usr
	touch config.status

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp config.status
	rm -f testit
	[ ! -f Makefile.conf ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cp $(CURDIR)/codec-helper/rpld-codec-helper-gstreamer \
		$(CURDIR)/debian/tmp/usr/bin/rpld-codec-helper
	mv -f $(CURDIR)/debian/tmp/usr/bin/rpld \
		$(CURDIR)/debian/tmp/usr/bin/roarplaylistd
	mv -f $(CURDIR)/debian/tmp/usr/share/man/man1/rpld.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/roarplaylistd.1

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	dh_installman -i
	dh_perl -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a --sourcedir=debian/tmp
	dh_installman -a
	dh_installinit -a
	dh_perl -a
	dh_strip -a --dbg-package=roarplaylistd-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== debian/watch ===
version=3
opts=dversionmangle=s/~// \
http://roaraudio.keep-cool.org/downloads.html dl/rpld-(.*)\.tar\.gz

## roarplaylistd 0.1~rc5

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 include Makefile.conf
 
 #DEFINES  = -DDEBUG
-DEFINES += $(def_uuid) $(def_slp) $(def_xml2)
+DEFINES += $(fdef_ALL) $(def_uuid) $(def_slp) $(def_xml2)
 DEFINES += -DROOT_UID=$(ROOT_UID) -DROAR_DBG_PREFIX=\"roarplaylistd\"
 CFLAGS  += -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -g -O2 $(INCPATH) $(DEFINES)
 LDFLAGS += -g $(LDPATH)

=== debian/changelog ===
roarplaylistd (0.1~rc5-2) unstable; urgency=low

  * Mangle rc to ~rc in debian/watch.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 28 Jan 2012 16:07:12 +0100

roarplaylistd (0.1~rc5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Fixed lintian warnings about missing targets build-arch and build-indep.
  * Updated copyright file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 06 Oct 2011 12:11:48 +0200

roarplaylistd (0.1~rc4-3) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.
  * Wrap build dependencies.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 18:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
-Build-Depends: debhelper (>= 7), libroar-dev, uuid-dev, libxml2-dev
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7),
+ libroar-dev,
+ uuid-dev,
+ libxml2-dev,
+ hardening-wrapper
+Standards-Version: 3.9.2
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/

## roarplaylistd 0.1~rc6

=== Makefile ===
--- 
+++ 
@@ -19,8 +19,8 @@
 #DEFINES  = -DDEBUG
 DEFINES += $(fdef_ALL) $(def_uuid) $(def_slp) $(def_xml2)
 DEFINES += -DROOT_UID=$(ROOT_UID) -DROAR_DBG_PREFIX=\"roarplaylistd\"
-CFLAGS  += -Wall -Wextra -Wno-unused-parameter -Wno-sign-compare -g -O2 $(INCPATH) $(DEFINES)
-LDFLAGS += -g $(LDPATH)
+CFLAGS  += -Wall -Wextra -g -O2 $(INCPATH) $(DEFINES)
+LDFLAGS += -Wall -Wextra -g -O2 $(LDPATH)
 
 NETLIBS += $(lib_wsock32) $(lib_ws2_32)
 LIBS    += $(lib_roar) $(lib_uuid) $(lib_slp) $(lib_xml2) $(NETLIBS)

=== debian/changelog ===
roarplaylistd (0.1~rc6-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Bump build dependency on libroar-dev to >= 1.0~beta0.
  * Wrap all debian/control fields.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 19 Mar 2012 16:22:58 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
- libroar-dev,
+ libroar-dev (>= 1.0~beta0),
  uuid-dev,
  libxml2-dev,
  hardening-wrapper
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: roarplaylistd
 Architecture: any
-Suggests: roarplaylistd-client, vclt-tools, roarplaylistd-codechelper-gst
-Depends: roaraudio | roaraudio-server, ${shlibs:Depends}, ${misc:Depends}
+Suggests: roarplaylistd-client,
+ vclt-tools,
+ roarplaylistd-codechelper-gst
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
+ roaraudio | roaraudio-server
 Recommends: roarplaylistd-tools
 Description: RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -31,7 +35,8 @@
 Section: debug
 Architecture: any
 Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends},
+ ${misc:Depends},
  roarplaylistd (= ${binary:Version})
 Description: RoarAudio PlayList Daemon (RPLD) (debugging symbols)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -48,7 +53,9 @@
 
 Package: roarplaylistd-tools
 Architecture: all
-Depends: ${misc:Depends}, ${perl:Depends}, libaudio-rpld-perl
+Depends: ${misc:Depends},
+ ${perl:Depends},
+ libaudio-rpld-perl
 Suggests: roarplaylistd
 Description: Tools to control RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -65,7 +72,8 @@
 
 Package: roarplaylistd-codechelper-gst
 Architecture: all
-Depends: ${misc:Depends}, gstreamer-tools
+Depends: ${misc:Depends},
+ gstreamer-tools
 Recommends: gstreamer0.10-plugins-ugly
 Suggests: roarplaylistd
 Description: roarplaylistd helper script for GStreamer codecs

## roarplaylistd 0.1.1

=== Makefile ===
TARGETS=rpld

FF_OBJS=fformat.o ff_vclt.o ff_plain.o ff_m3u.o ff_rpld.o ff_pls.o ff_xspf.o
PROTO_OBJS=proto_simple.o proto_simple_vio.o proto_mpd.o
OBJS=rpld.o playlist.o client.o network.o backend.o playback.o store.o autoqueue.o yield.o rpldslp.o pointer.o plugin.o ${FF_OBJS} ${PROTO_OBJS}

MANPAGES_1 = rpld.1

BIN        = $(TARGETS)
HEADERS    = rpldplugin.h

TOOLS_LIST = rpld-addplaylist rpld-delplaylist rpld-import rpld-next rpld-prev rpld-play rpld-queueple rpld-setpointer rpld-stop rpld-store rpld-listq rpld-ctl rpld-listplaylists rpld-showplaying
TOOLS_DIR  = tools
TOOLS_MAN1_BASENAME_0 = rpld-tools
TOOLS_MAN1_BASENAME_1 = rpld-deprecated
TOOLS_MAN1_0          = $(TOOLS_DIR)/$(TOOLS_MAN1_BASENAME_0).1
TOOLS_MAN1_1          = $(TOOLS_DIR)/$(TOOLS_MAN1_BASENAME_1).1
TOOLS      = $(TOOLS_DIR)/rpld-addplaylist $(TOOLS_DIR)/rpld-delplaylist $(TOOLS_DIR)/rpld-import $(TOOLS_DIR)/rpld-next $(TOOLS_DIR)/rpld-prev $(TOOLS_DIR)/rpld-play $(TOOLS_DIR)/rpld-queueple $(TOOLS_DIR)/rpld-setpointer $(TOOLS_DIR)/rpld-stop $(TOOLS_DIR)/rpld-store $(TOOLS_DIR)/rpld-listq $(TOOLS_DIR)/rpld-ctl $(TOOLS_DIR)/rpld-listplaylists $(TOOLS_DIR)/rpld-showplaying

include Makefile.conf

#DEFINES  = -DDEBUG
DEFINES += $(fdef_ALL) $(def_uuid) $(def_slp) $(def_xml2)
DEFINES += -DROOT_UID=$(ROOT_UID) -DROAR_DBG_PREFIX=\"roarplaylistd\"
CFLAGS  += -Wall -Wextra -g -O0 $(INCPATH) $(DEFINES)
LDFLAGS += -Wall -Wextra -g -O0 $(LDPATH)

NETLIBS += $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(lib_roar) $(lib_uuid) $(lib_slp) $(lib_xml2) $(NETLIBS)

all: ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
new: clean all

distclean: clean
	rm -f config.log Makefile.conf

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'/man1/

install: all prep-install-dirs install-rpld install-tools

install-rpld:
	cp $(cp_v) $(BIN)        '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGES_1) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	cp $(cp_v) $(HEADERS)    '$(DESTDIR)$(PREFIX_INC)'

install-tools:
	cp $(cp_v) $(TOOLS)        '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(TOOLS_MAN1_0) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	cp $(cp_v) $(TOOLS_MAN1_1) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	while read fn fc tn tc; do ln -s ../man$$tc/$$tn.$$tc '$(DESTDIR)$(PREFIX_MAN)'/man$$fc/$$fn.$$fc 2> /dev/null; done < man-symlinks.src; true

semi-install: all prep-install-dirs semi-install-rpld semi-install-tools

semi-install-rpld:
	ln -fs `pwd`/$(BIN)    '$(DESTDIR)$(PREFIX_BIN)'
	set -e; for i in $(MANPAGES_1); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_MAN)'/man1/$$i; done
	set -e; for i in $(HEADERS); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_INC)'/$$i; done

semi-install-tools:
	set -e; for i in $(TOOLS); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_BIN)'; done
	ln -fs `pwd`/$(TOOLS_MAN1_0) '$(DESTDIR)$(PREFIX_MAN)'/man1/$(TOOLS_MAN1_BASENAME_0).1
	ln -fs `pwd`/$(TOOLS_MAN1_1) '$(DESTDIR)$(PREFIX_MAN)'/man1/$(TOOLS_MAN1_BASENAME_1).1
	while read fn fc tn tc; do ln -s `pwd`/tools/$$tn.$$tc '$(DESTDIR)$(PREFIX_MAN)'/man$$fc/$$fn.$$fc 2> /dev/null; done < man-symlinks.src; true
#	set -e; for i in $(TOOLS_LIST); do ln -fs `pwd`/$(TOOLS_MAN1) '$(DESTDIR)$(PREFIX_MAN)'/man1/$$i.1; done

uninstall:
	rm -f '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)

rpld: ${OBJS}
	${CC} ${LDFLAGS} -o rpld ${OBJS} ${LIBS}

=== debian/changelog ===
roarplaylistd (0.1.1-2) unstable; urgency=low

  * Remove Philipp as co-maintainer.
  * Add upstream patch 01-uninitialized-pointers to fix a segfault within the
    multi-queue support.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 10 Jul 2012 22:39:15 +0200

roarplaylistd (0.1.1-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added status command to init script.
    - Added read support for xspf playlists.
    - Tools rpld-play, rpld-stop, rpld-next, rpld-prev, rpld-addplaylist,
      rpld-delplaylist and rpld-store become deprecated but are still included.

  [ Patrick Matthäi ]
  * New upstream release 0.1.1.
  * Overwrite false positive lintian warning roarplaylistd:
    hardening-no-fortify-functions.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 25 May 2012 21:06:12 +0200

roarplaylistd (0.1~rc7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Added support for multiple queues.
    - Drastically reduced memory consumption.
    - Improved plugin interface.
    - Changed internal database format. No downgrade possible.
  * Add new package roarplaylistd-dev (plugin development files).
  * Bump build dependency on libroar-dev to >= 1.0~beta1.
  * Upgrade Suggest on roarplaylistd-client to Recommend.
  * Added Provides of roarplaylistd-client to roarplaylistd-tools.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 21 May 2012 18:47:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: roarplaylistd
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
- libroar-dev (>= 1.0~beta0),
+ libroar-dev (>= 1.0~beta1),
  uuid-dev,
  libxml2-dev,
  hardening-wrapper
@@ -13,13 +12,14 @@
 
 Package: roarplaylistd
 Architecture: any
-Suggests: roarplaylistd-client,
- vclt-tools,
- roarplaylistd-codechelper-gst
+Suggests: vclt-tools,
+ roarplaylistd-codechelper-gst,
+ libroar-plugins-universal
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  roaraudio | roaraudio-server
-Recommends: roarplaylistd-tools
+Recommends: roarplaylistd-tools,
+ roarplaylistd-client
 Description: RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
  handling playlists. It stores playlists and plays files
@@ -30,6 +30,25 @@
  .
  File formats and codecs not supported by RoarAudio
  can be handled by using a helper program.
+
+Package: roarplaylistd-dev
+Section: libdevel
+Architecture: all
+Priority: extra
+Depends: ${misc:Depends},
+ libroar-dev (>= 1.0~beta1)
+Description: RoarAudio PlayList Daemon (RPLD) (plugin development files)
+ RoarAudio PlayList Daemon is a audio player backend daemon
+ handling playlists. It stores playlists and plays files
+ using RoarAudio as audio backend.
+ .
+ The daemon can be controled using a simple protocol.
+ It can listen on UNIX, TCP and DECnet sockets.
+ .
+ File formats and codecs not supported by RoarAudio
+ can be handled by using a helper program.
+ .
+ This package provides headers and other files for plugin development.
 
 Package: roarplaylistd-dbg
 Section: debug
@@ -57,6 +76,7 @@
  ${perl:Depends},
  libaudio-rpld-perl
 Suggests: roarplaylistd
+Provides: roarplaylistd-client
 Description: Tools to control RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
  handling playlists. It stores playlists and plays files

=== debian/rules ===
--- 
+++ 
@@ -2,13 +2,16 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 config.status:
 	dh_testdir
 	./configure --prefix /usr
 	touch config.status
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE)
@@ -57,6 +60,7 @@
 	dh_install -a --sourcedir=debian/tmp
 	dh_installman -a
 	dh_installinit -a
+	dh_lintian -a
 	dh_perl -a
 	dh_strip -a --dbg-package=roarplaylistd-dbg
 	dh_compress -a

## roarplaylistd 0.1.7

=== debian/changelog ===
roarplaylistd (0.1.7-2) unstable; urgency=low

  * Migrate to minimal debhelper.
  * Uploading to unstable.
  * Bump debian/compat level to 9.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 19 May 2013 19:02:45 +0200

roarplaylistd (0.1.7-1) experimental; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 11 Dec 2012 08:57:32 +0100

roarplaylistd (0.1.6-1) experimental; urgency=low

  * New upstream release.
    - Bump libroar-dev dependency to >= 1.0~beta7.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 12 Nov 2012 12:47:57 +0100

roarplaylistd (0.1.5-1) experimental; urgency=low

  * New upstream release.
    - Remove merged patch 01-hyphen-used-as-minus-sign.
    - Bump libroar-dev dependency to >= 1.0~beta6~pr0.
  * Add the new distribution-version-string.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 18 Sep 2012 16:08:19 +0200

roarplaylistd (0.1.4-1) experimental; urgency=low

  * New upstream release.
    - Bump libroar-dev build depedency to 1.0~beta5.
    - Added new tool and manpage rpld-storemgr and also add the new patch
      01-hyphen-used-as-minus-sign to remove some lintian warnings.
  * Dropped depends on libuuid-dev.
  * Added Suggests to SavannahIce on roarplaylistd-tools.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Aug 2012 19:43:05 +0200

roarplaylistd (0.1.3-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-uninitialized-pointers.
    - Remove deprecated binaries from the tools package.
    - Bump libroar-dev build depedency to 1.0~beta4.
    - Remove now unused lintian override.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 11 Aug 2012 11:45:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: roarplaylistd
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
- libroar-dev (>= 1.0~beta1),
- uuid-dev,
+Build-Depends: debhelper (>= 9),
+ libroar-dev (>= 1.0~beta7),
  libxml2-dev,
  hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: sound
 Homepage: http://roaraudio.keep-cool.org/
 
@@ -15,6 +14,7 @@
 Suggests: vclt-tools,
  roarplaylistd-codechelper-gst,
  libroar-plugins-universal
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  roaraudio | roaraudio-server
@@ -35,8 +35,9 @@
 Section: libdevel
 Architecture: all
 Priority: extra
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
- libroar-dev (>= 1.0~beta1)
+ libroar-dev (>= 1.0~beta7)
 Description: RoarAudio PlayList Daemon (RPLD) (plugin development files)
  RoarAudio PlayList Daemon is a audio player backend daemon
  handling playlists. It stores playlists and plays files
@@ -54,6 +55,7 @@
 Section: debug
 Architecture: any
 Priority: extra
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  roarplaylistd (= ${binary:Version})
@@ -75,7 +77,9 @@
 Depends: ${misc:Depends},
  ${perl:Depends},
  libaudio-rpld-perl
-Suggests: roarplaylistd
+Pre-Depends: dpkg (>= 1.15.6~)
+Suggests: roarplaylistd,
+ savannahice
 Provides: roarplaylistd-client
 Description: Tools to control RoarAudio PlayList Daemon (RPLD)
  RoarAudio PlayList Daemon is a audio player backend daemon
@@ -92,6 +96,7 @@
 
 Package: roarplaylistd-codechelper-gst
 Architecture: all
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${misc:Depends},
  gstreamer-tools
 Recommends: gstreamer0.10-plugins-ugly

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_VERSION := $(shell dpkg-parsechangelog|egrep '^Version:'|cut -f 2 -d ' ')

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cp $(CURDIR)/codec-helper/rpld-codec-helper-gstreamer \
		$(CURDIR)/debian/tmp/usr/bin/rpld-codec-helper
	mv -f $(CURDIR)/debian/tmp/usr/bin/rpld \
		$(CURDIR)/debian/tmp/usr/bin/roarplaylistd
	mv -f $(CURDIR)/debian/tmp/usr/share/man/man1/rpld.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/roarplaylistd.1

override_dh_builddeb:
	dh_builddeb -- -Zxz

override_dh_strip:
	dh_strip --dbg-package=roarplaylistd-dbg

## roarplaylistd 0.1.9

=== Makefile ===
TARGET=rpld

FF_OBJS=fformat.o ff_vclt.o ff_plain.o ff_m3u.o ff_rpld.o ff_pls.o ff_xspf.o ff_uras.o
PROTO_OBJS=proto_simple.o proto_simple_vio.o proto_mpd.o
OBJS=rpld.o playlist.o client.o network.o backend.o playback.o store.o autoqueue.o yield.o rpldslp.o pointer.o plugin.o serverinfo.o ${FF_OBJS} ${PROTO_OBJS}

MANPAGES_1 = rpld.1

HEADERS    = rpldplugin.h rpldnotify.h

TOOLS_DIR  = tools
TOOLS_MAN1_BASENAME_0 = rpld-tools
TOOLS_MAN1_BASENAME_1 = rpld-deprecated
TOOLS_MAN1_BASENAME_2 = rpld-storemgr
TOOLS_MAN1_0          = $(TOOLS_DIR)/$(TOOLS_MAN1_BASENAME_0).1
TOOLS_MAN1_1          = $(TOOLS_DIR)/$(TOOLS_MAN1_BASENAME_1).1
TOOLS_MAN1_2          = $(TOOLS_DIR)/$(TOOLS_MAN1_BASENAME_2).1
TOOLS      = $(TOOLS_DIR)/rpld-import $(TOOLS_DIR)/rpld-next $(TOOLS_DIR)/rpld-queueple $(TOOLS_DIR)/rpld-setpointer $(TOOLS_DIR)/rpld-listq $(TOOLS_DIR)/rpld-ctl $(TOOLS_DIR)/rpld-listplaylists $(TOOLS_DIR)/rpld-showplaying $(TOOLS_DIR)/rpld-storemgr

include Makefile.conf

#DEFINES  = -DDEBUG
DEFINES += -DROAR_DBG_PREFIX=\"roarplaylistd\"
CFLAGS  += -Wall $(Wextra) -g $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
LDFLAGS += -Wall $(Wextra) -g $(OPTI_O) $(LDPATH)

NETLIBS += $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(lib_roar) $(lib_slp) $(lib_xml2) $(NETLIBS)

all: $(TARGET)
clean:
	rm -f $(TARGET) *.o
new: clean all

distclean: clean
	rm -f Makefile.conf config.h config.log

$(TARGET): $(OBJS)
	$(CC) $(LDFLAGS) -o $(TARGET) $(OBJS) $(LIBS)

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)'/man1/

prep-install: all prep-install-dirs

install: prep-install install-rpld install-tools

install-rpld:
	cp $(cp_v) $(TARGET)     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(MANPAGES_1) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	cp $(cp_v) $(HEADERS)    '$(DESTDIR)$(PREFIX_INC)'

install-tools:
	cp $(cp_v) $(TOOLS)        '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(TOOLS_MAN1_0) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	cp $(cp_v) $(TOOLS_MAN1_1) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	cp $(cp_v) $(TOOLS_MAN1_2) '$(DESTDIR)$(PREFIX_MAN)'/man1/
	while read fn fc tn tc; do ln -s ../man$$tc/$$tn.$$tc '$(DESTDIR)$(PREFIX_MAN)'/man$$fc/$$fn.$$fc 2> /dev/null; done < man-symlinks.src; true

semi-install: prep-install semi-install-rpld semi-install-tools

semi-install-rpld:
	ln -fs `pwd`/$(TARGET)  '$(DESTDIR)$(PREFIX_BIN)'
	set -e; for i in $(MANPAGES_1); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_MAN)'/man1/$$i; done
	set -e; for i in $(HEADERS); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_INC)'/$$i; done

semi-install-tools:
	set -e; for i in $(TOOLS); do ln -fs `pwd`/$$i '$(DESTDIR)$(PREFIX_BIN)'; done
	ln -fs `pwd`/$(TOOLS_MAN1_0) '$(DESTDIR)$(PREFIX_MAN)'/man1/$(TOOLS_MAN1_BASENAME_0).1
	ln -fs `pwd`/$(TOOLS_MAN1_1) '$(DESTDIR)$(PREFIX_MAN)'/man1/$(TOOLS_MAN1_BASENAME_1).1
	ln -fs `pwd`/$(TOOLS_MAN1_2) '$(DESTDIR)$(PREFIX_MAN)'/man1/$(TOOLS_MAN1_BASENAME_2).1
	while read fn fc tn tc; do ln -s `pwd`/tools/$$tn.$$tc '$(DESTDIR)$(PREFIX_MAN)'/man$$fc/$$fn.$$fc 2> /dev/null; done < man-symlinks.src; true

uninstall:
	rm -f '$(DESTDIR)$(PREFIX_BIN)/$(TARGET)'

.PHONY: all clean new distclean prep-install-dirs prep-install install semi-install uninstall

=== plugins/playback-logging/Makefile ===
BASENAME     = playback-logging

include ../Makefile.inc

=== debian/changelog ===
roarplaylistd (0.1.9-9) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Bump debhelper-compat to level 13.
    - Add no required files to debian/not-installed.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 15:00:21 +0100

roarplaylistd (0.1.9-8) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Set Rules-Requires-Root: no.
  * Adjust source lintian overrides.
  * Remove rpld-tools manpage.
  * Drop init.d script and migrate to systemd service unit.
  * Add new lintian override for missing init.d script.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:16 +0100

roarplaylistd (0.1.9-7) unstable; urgency=medium

  * Bump Standards-Version to 4.2.1.
  * Fix wrong redirection.
    Closes: #908260

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 12 Oct 2018 10:07:16 +0200

roarplaylistd (0.1.9-6) unstable; urgency=medium

  * Bump Standards-Version to 4.1.1:
    - Switch packages from priority extra to optional.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Nov 2017 11:00:45 +0100

roarplaylistd (0.1.9-5) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Use DEB_VERSION from pkg-info.mk.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 16:22:43 +0200

roarplaylistd (0.1.9-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Add dependency on lsb-base.
  * Add patch 03-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 23 Dec 2016 09:30:20 +0100

roarplaylistd (0.1.9-3) unstable; urgency=high

  * Depend on new gstreamer1.0 packages.
    Closes: #816019
  * Bump Standards-Version to 3.9.7 (no changes required).
  * Enable full hardening.
  * Build package without SLP support.
    Closes: #818446
  * Add patch 02-spelling-errors to fix some spelling errors.
  * Fix spelling error in long description.
  * Drop DECnet support from long description.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 19 Mar 2016 17:02:41 +0100

roarplaylistd (0.1.9-2) unstable; urgency=medium

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Remove deprecated hardening-wrapper.
  * Add GPG signature check for uscan.
  * Update to DEP5 debian/copyright format.
  * Add patch 01-spelling-error-in-manpage to fix a spelling error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jul 2015 16:41:54 +0200

roarplaylistd (0.1.9-1) unstable; urgency=low

  * New upstream release.
    - This release depends on roaraudio 1.0~beta11.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 29 Jan 2014 08:34:18 +0100

roarplaylistd (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.
  * Delete pid directory on purge, not on remove.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 02 Dec 2013 13:55:05 +0100

roarplaylistd (0.1.7-3) unstable; urgency=high

  * Fix dh_auto_clean.
    Closes: #724217
  * Source /lib/lsb/init-functions in init script.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Sep 2013 22:34:59 +0200

=== debian/control ===
Source: roarplaylistd
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper-compat (= 13),
 libroar-dev (>= 1.0~beta11),
 libxml2-dev
Standards-Version: 4.5.1
Section: sound
Rules-Requires-Root: no
Homepage: http://roaraudio.keep-cool.org/

Package: roarplaylistd
Architecture: any
Suggests: vclt-tools,
 roarplaylistd-codechelper-gst,
 libroar-plugins-universal
Depends: ${shlibs:Depends},
 ${misc:Depends},
 lsb-base,
 roaraudio | roaraudio-server
Recommends: roarplaylistd-tools,
 roarplaylistd-client
Description: RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.

Package: roarplaylistd-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends},
 libroar-dev (>= 1.0~beta11)
Description: RoarAudio PlayList Daemon (RPLD) (plugin development files)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This package provides headers and other files for plugin development.

Package: roarplaylistd-tools
Architecture: all
Depends: ${misc:Depends},
 ${perl:Depends},
 libaudio-rpld-perl
Suggests: roarplaylistd,
 savannahice
Provides: roarplaylistd-client
Description: Tools to control RoarAudio PlayList Daemon (RPLD)
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This is a collection of tools to control RoarAudio PlayList Daemon (RPLD).

Package: roarplaylistd-codechelper-gst
Architecture: all
Depends: ${misc:Depends},
 gstreamer1.0-tools
Recommends: gstreamer1.0-plugins-ugly
Suggests: roarplaylistd
Description: roarplaylistd helper script for GStreamer codecs
 RoarAudio PlayList Daemon is a audio player backend daemon
 handling playlists. It stores playlists and plays files
 using RoarAudio as audio backend.
 .
 The daemon can be controlled using a simple protocol.
 It can listen on UNIX and TCP sockets.
 .
 File formats and codecs not supported by RoarAudio
 can be handled by using a helper program.
 .
 This helper script is used for roarplaylistd to play additional codecs
 (GStreamer version).

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--no-slp \
	--distribution-version-string "Debian-$(DEB_VERSION)"

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cp $(CURDIR)/codec-helper/rpld-codec-helper-gstreamer \
		$(CURDIR)/debian/tmp/usr/bin/rpld-codec-helper
	mv -f $(CURDIR)/debian/tmp/usr/bin/rpld \
		$(CURDIR)/debian/tmp/usr/bin/roarplaylistd
	mv -f $(CURDIR)/debian/tmp/usr/share/man/man1/rpld.1 \
		$(CURDIR)/debian/tmp/usr/share/man/man1/roarplaylistd.1

=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/ \
http://roaraudio.keep-cool.org/downloads.html dl/rpld-([^-]*)\.tar\.gz
